Prérequis à l’installation

dimanche 25 octobre 2009
par  _Equipe_
popularité : 2%

Hébergement

Le but n’est pas ici d’entamer une discussion sans fin sur les différents hébergeurs, troll assuré, mais de lister quelques informations de base à glaner avant de choisir un hébergement. A cet égard, vous pouver lire aussi l’article Hebergeurs acceptant SPIP sur SPIP.net.

En premier lieu, l’hébergement est une zone d’un serveur, dédié ou mutualisé, qui vous est allouée suivant un contrat donné. Chaque hébergeur propose des formules diverses et variées en termes de puissance et d’outils. Il est donc impératif de faire le point de vos besoins avant de comparer les offres : espace disque, bande passante, nombre de visiteurs par jour, streaming, nombre de bases de données, e-mails, outils de gestion...

Il va donc de soi que les hébergeurs gratuits comme le très répandu Free n’offrirons pas forcément toutes les assurances pour faire fonctionner SPIP 2 mais aussi le squelette Sarka-SPIP et les plugins suivant vos besoins.

De quoi est composé un hébergement ?
A minima, outre le système d’exploitation, du trio infernal serveur web, en général Apache, PHP et serveur de base de données, la plupart du temps MySQL, mais SPIP et Sarka-SPIP autorisent aujourd’hui de travailler avec PostGreSQL et SQLite.

Bien entendu, tous ces logiciels ont des versions diverses et variées et toutes ne sont pas compatibles avec SPIP 2 et Sarka-SPIP 3.

  • Apache : pas de problème connu
  • PHP : a priori, SPIP 2 est compatible avec PHP 4 mais celui-ci n’est plus maintenu contrairement à PHP 5. Par contre, la configuration des annonces de Sarka-SPIP 3 nécessite PHP 5 [1].
  • MySQL : a priori les versions 4 et 5 sont compatibles avec SPIP 2 et Sarka-SPIP 3.

Donc, en conclusion, préférez PHP 5 et MySQL 5 pour vos hébergements ! Et consultez votre hébergeur pour savoir comment migrer vers ces versions de logiciels.

Pour les solutions suivant les hébergeurs (free,ovh...), il faudra faire ce qui est détaillé dans le lien suivant http://zest.shizuka.fr/spip.php?article34.

Paramétrage PHP

Le paramétrage de PHP se fait dans un fichier nommé php.ini. Sur vos hébergements, il est rarement possible en dehors des dédiés de pouvoir agir directement sur ce fichier.
En général, il y a deux paramètres qui peuvent poser des problèmes :

  • memory_limit, qui définit la taille en méga-octets de la mémoire allouée aux scripts de votre site. Cette valeur est extrêmement importante et doit être supérieure à 32M aujourd’hui.
  • max_execution_time, qui définit la durée maximale en secondes allouée à un script. Ce paramètre a moins d’importance que le précédent si le serveur est correctement configuré. Par défaut à 30, il peut-être intéressant de le passer à 60.

Un problème sur le paramètre memory_limit provoque souvent une erreur du type ci-dessous lors de l’affichage d’une page du squelette :
Fatal error : Allowed memory size of 8388608 bytes exhausted (tried to allocate 3985 bytes) in /users/******/sites/********/ecrire/public/compiler.php on line 540

Pour la corriger,

  • soit vous avez accès au fichier php.ini et vous pouvez augmenter la valeur du paramètre
  • soit vous demandez très gentiment à votre hébergeur
  • soit vous incluez les lignes suivantes dans le fichier .htaccess du site (mais ce n’est pas toujours possible avec l’hébergeur) : php_value memory_limit 64M
  • soit vous incluez les lignes suivantes dans le fichier mes_options.php du site (mais ce n’est pas toujours possible avec l’hébergeur) : ini_set("memory_limit", "32M");

Pour connaitre ces paramètres vous pouvez aller sur une page SPIP de votre interface privée accessible via l’url http://votre_domaine/ecrire/?exec=info.

Héberger « en local »

L’hébergement local est parfois nécessaire quand on a une connexion douteuse ou un hébergement distant pas encore fonctionnel. Mais il est préférable de rapidement se transférer sur son hébergement distant car les problématiques sont différentes et qu’il est plus facile de donner son url pour demander une aide sur les forums !

Les outils d’hébergements locaux les plus utilisés sont :

Vous pouvez aussi lire l’article Utiliser SPIP « en local » sur SPIP.net.


[1Il est à noter que la version 5.3 de PHP semble poser quelques soucis avec SPIP 2.0 et il est préférable de rester sur une version 5.2.x. A partir de SPIP 2.1, PHP 5.3 ne pose plus de souci et la dernière version de Sarka-SPIP le supporte aussi totalement.